{% load static %}
<html>

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://cdn.tailwindcss.com"></script>
    <script>
        tailwind.config = {
            theme: {
                extend: {
                    colors: {
                        clifford: '#da373d',
                    }
                }
            }
        }
    </script>
</head>

<body class="bg-gray-100 py-10">
    <div class="bg-white rounded p-5 shadow-md">
        <div class="flex items-stretch mb-4">
            <a href="{% url 'index' %}" class="bg-blue-500 hover:bg-blue-700 text-white font-bold p-4 rounded-full">
                <svg class="w-6 h-6" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15 19l-7-7 7-7"></path>
                </svg>
            </a>
            <h2 class="text-2xl py-3 px-4">Digite os coeficientes da equação do segundo grau</h2>
        </div>        
        
        {% csrf_token %}
        <div class="overflow-x-auto bg-gray-900 shadow-lg rounded-lg">
            <table class="table-auto min-w-full divide-y divide-gray-800 text-gray-300">
                <thead>
                    <tr>
                        <th class="px-6 py-3 text-left text-xs font-semibold uppercase tracking-wider">#id</th>
                        <th class="px-6 py-3 text-left text-xs font-semibold uppercase tracking-wider">Numero A</th>
                        <th class="px-6 py-3 text-left text-xs font-semibold uppercase tracking-wider">Numero B</th>
                        <th class="px-6 py-3 text-left text-xs font-semibold uppercase tracking-wider">Numero C</th>
                        <th class="px-6 py-3 text-left text-xs font-semibold uppercase tracking-wider">Resultado</th>
                    </tr>
                </thead>
                <tbody class="divide-y divide-gray-800">
                    {% for item in results %}
                    <tr>
                        <td class="px-6 py-4 whitespace-nowrap">{{ item.id }}</td>
                        <td class="px-6 py-4 whitespace-nowrap">{{ item.number_a }}</td>
                        <td class="px-6 py-4 whitespace-nowrap">{{ item.number_b }}</td>
                        <td class="px-6 py-4 whitespace-nowrap">{{ item.number_c }}</td>
                        <td class="px-6 py-4 whitespace-nowrap">{{ item.result }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>

    </div>
</body>

</html>